#import <Foundation/Foundation.h>
#import "S3DBTable.h"

@interface S3DBDatabase : NSObject 
{
    void *_database;
    NSString *_fileName;
}

+ (id)databaseWithFile: (NSString*)inPath;
- (id)initWithFile: (NSString*)fileName;
    /* Creates the file if the file does not exist. */

- (NSString *)description;

- (NSString *)fileName;
- (NSString *)name;

- (void)close;
    /* Closes the database immediatly rather than when deallocated. */

- (S3DBTable*)performQuery: (NSString*)query;
    /* Returns nil on fail. */

- (int)changeCount;

@end
